#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <vhdl_file.h>
#include <QTreeWidgetItem>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void openFile();
    void openFolder();
private:
    void updateTree(VHDL_Tools::VHDL_AST_Node* rootNode);
    void printNode(VHDL_Tools::VHDL_AST_Node* rootNode,QTreeWidgetItem* parent);
    void parseFile(const QString& fileName, bool trashPreviousTree=false);
    void parseDirectory(const QString& dirName);
    VHDL_Tools::VHDL_AST_Node* rootNode;
    Ui::MainWindow *ui;
    VHDL_Tools::VHDL_File* file;

};

#endif // MAINWINDOW_H
